summaryrefslogtreecommitdiff
path: root/source4/configure
diff options
context:
space:
mode:
Diffstat (limited to 'source4/configure')
-rwxr-xr-xsource4/configure14
1 files changed, 14 insertions, 0 deletions
diff --git a/source4/configure b/source4/configure
new file mode 100755
index 0000000000..fbd81fe1c5
--- /dev/null
+++ b/source4/configure
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+PREVPATH=`dirname $0`
+
+WAF=../buildtools/bin/waf
+
+# using JOBS=1 gives maximum compatibility with
+# systems like AIX which have broken threading in python
+JOBS=1
+export JOBS
+
+cd . || exit 1
+$WAF configure "$@" || exit 1
+cd $PREVPATH